%define	version 1.0
%define kdename kdebase
%define kderelease 4
Name: %{kdename}
Summary: K Desktop Environment - core files
Version: %{version}
Release: %{kderelease}rh51
Source: ftp.kde.org:/pub/kde/stable/1.0/distribution/rpm/source/%{kdename}-%{version}.tar.gz
Source1: README-rh51-rpms
Source2: INSTALL-kde-rh51
Patch: kdebase-qt-1.40.patch
Group: X11/KDE/Base
Copyright: GPL
BuildRoot: /tmp/realhot_%{kdename}
Provides: kdebase-egcs
Requires: qt = 1.40 qt-egcs-10x redhat-release >= 5.0 kdelibs-egcs libstdc++ >= 2.8.0 
Distribution: KDE
Packager: KDE Packaging Team <kde-packager@kde.org>
Vendor: The KDE Team

%description
Core applications for the K Desktop Environment.

This package is intended for RedHat 5.1 systems.
It can also be used with RedHat 5.0 systems that have been 
upgraded to use the egcs compiler, or at least have installed
libstdc++-2.8.x from the RedHat 5.1 distribution.  

QT and all KDE components used with this package must be compiled 
with the egcs compiler on a RedHat 5.x (glibc) system: 
the QT and KDE rpms must contain "rh51" (NOT rh50) in their version 
name (e.g. qt-1.40-1rh51).  This rpm requires qt-1.40.

This package supports RedHat's PAM password authentication
system, using a PAM service named "kde".

Included with this package are:
kaudio: audio server
kcontrol: configuration tool
kdehelp: viewer for kde help files, info amd man pages
kdm: replacement for xdm
kfind: find tool
kfm: filemanager, web browser, ftp client, ...
kfontmanager: font selector
kmenuedit: tool to add applications to the panel
kpanel: file starter and desktop pager
kscreensaver: several screen savers
kvt: xterm replacement
kwm: kde window manager
kappfinder: non-kde application finder

%prep
rm -rf $RPM_BUILD_ROOT


%setup -n kdebase-%{version}
cp ${RPM_SOURCE_DIR}/README-rh51-rpms  $RPM_BUILD_DIR/kdebase-%{version}
cp ${RPM_SOURCE_DIR}/INSTALL-kde-rh51  $RPM_BUILD_DIR/kdebase-%{version}


#patch to update processor_linux.cpp for qt-1.40
%patch -p1


%build
export KDEDIR=/opt/kde
CC=egcs ./configure --prefix=$KDEDIR --with-pam=kde --with-install-root=$RPM_BUILD_ROOT --without-gl

#--------------------------------------------
# a quick hack to fix some paths set by kdm to their RedHat xdm defaults.
echo '#define DEF_USER_PATH "/usr/local/bin:/bin:/usr/bin"' >hack
echo '#define DEF_SYSTEM_PATH "/sbin:/usr/sbin:/bin:/usr/bin"' >>hack
cat hack config.h > config.hack
cat config.hack > config.h
#----------------------------------------------
make

%install
make RUN_KAPPFINDER=no install

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.%{kdename}
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{kdename}
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{kdename}

mkdir -p $RPM_BUILD_ROOT/etc/pam.d
install -m 644 -o 0 -g 0 $RPM_BUILD_DIR/kdebase-%{version}/kde.pamd $RPM_BUILD_ROOT/etc/pam.d/kde

# initialization script for KDE
mkdir -p $RPM_BUILD_ROOT/etc/profile.d
echo '#!/bin/sh' > $RPM_BUILD_ROOT/etc/profile.d/kde.sh
echo '#kde.sh KDE initialization script' >>$RPM_BUILD_ROOT/etc/profile.d/kde.sh
echo 'KDEDIR="/opt/kde"' >>$RPM_BUILD_ROOT/etc/profile.d/kde.sh
echo 'PATH="/opt/kde/bin:$PATH"' >> $RPM_BUILD_ROOT/etc/profile.d/kde.sh
echo 'export PATH KDEDIR' >> $RPM_BUILD_ROOT/etc/profile.d/kde.sh
chmod a+rx $RPM_BUILD_ROOT/etc/profile.d/kde.sh

%clean
rm -rf $RPM_BUILD_ROOT

%files -f ../file.list.%{kdename} 
/etc/profile.d/kde.sh
%config /etc/pam.d/kde
%doc  README-rh51-rpms   INSTALL-kde-rh51








